Results 1 to 6 of 6

Thread: Updating a modded Wii

  1. #1
    Junior Member
    Join Date
    Nov 2009
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Updating a modded Wii

    Sorry if this has been asked before. But I recently bought a Wii Sport Resort (NTSC). When I tried to run the game, It told me that I have to update my system. Is there any way I can update my system without bricking my Wii? Or is there any way I can play the game without updating?

    Info about my Wii:-
    Version: 3.3U (NTSC)
    I have Backup launcher 0.3g002fix (with the Homebrow channel).


    Any help would be appreciate it. Thanks!

  2. #2
    Senior Member
    Retired WiiHacks Staff
    Dogeggs's Avatar
    Join Date
    Jan 2009
    Location
    South UK
    Posts
    3,186
    Thanks
    78
    Thanked 9,872 Times in 865 Posts
    updating from the same region game as your wii won't brick you - for more info on wii sports resort check here:

    http://www.wiihacks.com/general-home...ts-resort.html

  3. #3
    Senior Member
    Retired Staff
    davepm's Avatar
    Join Date
    Aug 2009
    Location
    Lincoln, Lincolnshire, United Kingdom
    Posts
    4,561
    Thanks
    124
    Thanked 2,059 Times in 831 Posts
    Blog Entries
    1
    you dont need to update your system menu.

    You DO need to update your backup launcher. Get rid of gamma 0.3 and install neogamma r7 and cIOS38 rev14.

    Then install IOS55-64-v4633 (or newer).

    THEN go and read the WSR threads, it tells you exactly what you need to do to play it.


    edit: damn, beaten by the weird guy with many heads!

  4. #4
    Junior Member
    Join Date
    Nov 2009
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Quote Originally Posted by Dogeggs View Post
    updating from the same region game as your wii won't brick you - for more info on wii sports resort check here:

    http://www.wiihacks.com/general-home...ts-resort.html
    Thanks for link!

    So it's safe to update a soft-modded Wii from the disc?

  5. #5
    Retired WiiHacks Staff Tealc's Avatar
    Join Date
    May 2009
    Location
    Sunny Wales, UK
    Posts
    7,152
    Thanks
    502
    Thanked 4,103 Times in 2,453 Posts
    Blog Entries
    1
    Normally yes, it's just a bit of a minefield though as things can go wrong from time to time. For example if you downgraded from 4.0 to 3.3 and have not reinstalled IOS50 v4889 you will full brick. If you updated using a PAL disc then you'd semi-brick.

    Not really much point being at 3.3 or 3.4 though as you can't have preloader.

    Might be worth running through this tutorial http://www.wiihacks.com/recommended-...d-any-wii.html and updating yourself to 4.1 with Preloader, latest HBC and bootmii/boot2 if possible. Also Neogamma would be useful for you.
    Not really doing much Wii stuff these days.

  6. #6
    New Member
    Join Date
    Nov 2009
    Posts
    25
    Thanks
    1
    Thanked 0 Times in 0 Posts

    Us

    I'm fairly new to the WII modding scene. I recently installed wasabi dx 2.0 f/w on my NTSC 3.4u console. I was able to play NTSC and PAL older games b/up and original games. However, when I play back-ups both NTSC and PAL newer games, it gives me a black screen. The icon appears on the disc channel but after that black screen. I don't have homebrew channel, what's the easiest way to be able to play the newer games without bricking the wii. Need your advise..... I'm afraid updating my Wii f/w for fear of won't be able to play my back-ups.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •